Subject: Re: [PATCH v7 16/20] gnu: emacs-nodejs-repl: Build with node-lts.

From: Jelle Licht <[email-masked]>
Date: Mon, 17 Apr 2023 18:03:26 +0200

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 17.04.2023 um 16:51 +0200 schrieb [email-masked]:
>> From: Jelle Licht <[email-masked]>
>> 
>> * gnu/packages/emacs-xyz.scm (emacs-nodejs-repl)[inputs]: Replace
>> NODE by NODE-LTS.
> I think lowercase would be better.

Addressed locally, and will take into account when applying. 

>> ---
>> (no changes since v1)
> Where is v1?
There is no v1.

This blurb is generated by patman, I do not know how to disable this.
Tips very much welcome.

Since I started using patman, I've listed changes in each cover letter
instead, as that's much easier to manage.

>>  gnu/packages/emacs-xyz.scm | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>> 
>> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
>> index c1748e7f36..7282c03dfe 100644
>> --- a/gnu/packages/emacs-xyz.scm
>> +++ b/gnu/packages/emacs-xyz.scm
>> @@ -12803,7 +12803,7 @@ (define-public emacs-nodejs-repl
>>                 
>> "0a5mmg3cmdi73giblp07ksl06xzl9nb2m3f96ny4r3rv0ar3v1bx"))))
>>      (build-system emacs-build-system)
>>      (inputs
>> -     (list node))
>> +     (list node-lts))
> LGTM, I guess.  Is it expected that node-lts will see fewer rebuilds
> than the other node package going forward?

No, if anything the hope is that there will be more going on with the
node-lts package :-).

Our current "node" package should not be used, as it's an ancient (and
unsupported) version. Restructuring the node/node-lts/node-bootstrap
triad (and making sure older versions are not exposed to users) will be
my next node-related venture.

> Cheers

Thanks for the review!
- Jelle